class Settings::OperatingSystemsController < SettingsController
  def index
    @operating_system = OperatingSystem.new
  end

  def show
    @operating_system = OperatingSystem.find(params[:id])
  end

  def create
    @operating_system = OperatingSystem.new(operating_system_params) 

    if @operating_system.save
      flash[:success] = "Operating system #{@operating_system.name} successfully created"
      redirect_to action: :index
    else
      flash.now[:failure] = "There were some errors" 
      render "index"
    end
  end

  def update
    if @operating_system.update_attributes(operating_system_params)
      flash[:success] = "Operating system #{@operating_system.name} successfully updated"
      redirect_to action: :index
    else
      flash.now[:failure] = "There were some errors" 
      render "show"
    end
  end

  def destroy
    @operating_system = OperatingSystem.find(params[:id])

    if @operating_system.destroy
      flash[:success] = "Operating system #{@operating_system.name} successfully deleted"
    else
      flash[:error] = "Could not delete #{@operating_system.name} operating_system"
    end

    redirect_to action: :index
  end

  private

  def operating_system_params
    params.require(:operating_system).permit(:name)
  end
end
